Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2589943002: Wrap the conditional in CHECK with UNLIKELY since it is. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by danakj
Modified:
9 months, 1 week ago
Reviewers:
dcheng
CC:
chromium-reviews, vmpstr+watch_chromium.org, palmer
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Wrap the conditional in CHECK with UNLIKELY since it is. This matches what was done in RELEASE_ASSERT in blink. No perf bots noticed this being missing (it does nothing on windows which is where perf bots noticed anything) but it won't hurt right. R=dcheng@chromium.org BUG=672699 Committed: https://crrev.com/cb7c529ef85e7df2b109e549cc94d90f4a1e6e24 Cr-Commit-Position: refs/heads/master@{#439860}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -1 line) Patch
M base/logging.h View 2 chunks +2 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (14 generated)
danakj
9 months, 1 week ago (2016-12-19 19:53:11 UTC) #1
dcheng
LGTM, seems reasonable.
9 months, 1 week ago (2016-12-19 20:04:35 UTC) #4
Primiano Tucci (use gerrit)
On 2016/12/19 19:53:11, danakj_OOO_and_slow wrote: Oh I think Scott forgot this is his CL. I'm ...
9 months, 1 week ago (2016-12-19 20:16:05 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2589943002/1
9 months, 1 week ago (2016-12-19 20:30:53 UTC) #8
danakj
On 2016/12/19 20:16:05, Primiano Tucci wrote: > On 2016/12/19 19:53:11, danakj_OOO_and_slow wrote: > > Oh ...
9 months, 1 week ago (2016-12-19 20:30:58 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2589943002/1
9 months, 1 week ago (2016-12-19 20:32:59 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/282231) linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
9 months, 1 week ago (2016-12-19 21:55:20 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2589943002/1
9 months, 1 week ago (2016-12-19 22:02:23 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/282337) linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
9 months, 1 week ago (2016-12-20 00:04:18 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2589943002/1
9 months, 1 week ago (2016-12-20 15:17:06 UTC) #21
commit-bot: I haz the power
Committed patchset #1 (id:1)
9 months, 1 week ago (2016-12-20 19:06:05 UTC) #24
commit-bot: I haz the power
9 months, 1 week ago (2016-12-20 19:08:43 UTC) #26
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/cb7c529ef85e7df2b109e549cc94d90f4a1e6e24
Cr-Commit-Position: refs/heads/master@{#439860}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b